Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util
Class Google

    java.lang.Object
      scone.util.Google

    public class Google

extends java.lang.Object

represents the Google search engine.
This class can be used to easily query Google using the Google SOAP-API.

Constructor Summary
`Google(java.lang.String key)` create sa new Google representation.

Method Summary
`java.util.Vector` | `getBackLinks(java.lang.String url, int max)` returns pages that link to the specified url.
`java.util.Vector` | `getRelated(java.lang.String url, int max)` returns pages that are related to the specified url.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Google

    public Google(java.lang.String key)

  create sa new Google representation.

  Parameters:
    `key` - the Google key

Method Detail

### getBackLinks

    public java.util.Vector getBackLinks(java.lang.String url,
                                         int max)
                                  throws java.lang.Exception

  returns pages that link to the specified url.
  The pages will be returned as HtmlNode objects stored in a Vector

  Parameters:
    `url` - the URL
    `max` - limits the number of resulting pages
  Returns:
    a Vector of HtmlNode
  Throws:
    `java.lang.Exception`

### getRelated

    public java.util.Vector getRelated(java.lang.String url,
                                       int max)

  returns pages that are related to the specified url.
  The pages will be returned as HtmlNode objects stored in a Vector

  Parameters:
    `url` - the URL
    `max` - limits the number of resulting pages
  Returns:
    a Vector of HtmlNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD